# -*- mode: python ; coding: utf-8 -*-


a = Analysis(
    ['beat_detector_gui.py'],
    pathex=['/opt/homebrew/Cellar/sdl2/2.30.9/lib'],
    binaries=[
        ('/opt/homebrew/bin/ffmpeg', '.'),
        ('/opt/homebrew/bin/ffprobe', '.'),
        ('/opt/homebrew/Cellar/sdl2/2.30.9/lib/libSDL2-2.0.0.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/sdl2/2.30.9/lib/libSDL2.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavcodec.61.19.100.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavformat.61.7.100.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavutil.59.39.100.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libswresample.5.3.100.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libswscale.8.3.100.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavformat.61.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libswscale.8.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavcodec.61.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libavutil.59.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/Cellar/ffmpeg/7.1_3/lib/libswresample.5.dylib', './Contents/Frameworks'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/multimedia/libdarwinmediaplugin.dylib', './Contents/Resources/plugins/multimedia'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/multimedia/libffmpegmediaplugin.dylib', './Contents/Resources/plugins/multimedia'),
    ],
    datas=[
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/multimedia', './Contents/Resources/plugins/multimedia'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms', './Contents/Resources/plugins/platforms'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/iconengines', './Contents/Resources/plugins/iconengines'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/imageformats', './Contents/Resources/plugins/imageformats'),
        ('/opt/homebrew/lib/python3.9/site-packages/PyQt6/Qt6/plugins/styles', './Contents/Resources/plugins/styles'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom', 'madmom'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/audio', 'madmom/audio'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/features', 'madmom/features'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/models', 'madmom/models'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/ml', 'madmom/ml'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/evaluation', 'madmom/evaluation'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom/io', 'madmom/io'),
        ('/opt/homebrew/lib/python3.9/site-packages/madmom-0.16.1.dist-info', 'madmom-0.16.1.dist-info'),
    ],
    hiddenimports=[
        'PyQt6.QtMultimedia',
        'PyQt6.QtMultimediaWidgets',
        'PyQt6.QtCore',
        'PyQt6.QtWidgets',
        'PyQt6.QtGui',
        'PyQt6.QtSvg',
        'PyQt6.QtSvgWidgets',
        'librosa',
        'librosa.core',
        'librosa.feature',
        'librosa.beat',
        'librosa.onset',
        'scipy',
        'numpy',
        'soundfile',
        'numba',
        'pyqtgraph',
        'essentia',
        'essentia.standard',
        'detectors',
        'detectors.detector_factory',
        'config',
        'time',
        'madmom',
        'madmom.audio',
        'madmom.audio.signal',
        'madmom.audio.spectrogram',
        'madmom.audio.filters',
        'madmom.features',
        'madmom.features.beats',
        'madmom.features.downbeats',
        'madmom.features.onsets',
        'madmom.features.tempo',
        'madmom.processors',
    ],
    hookspath=[],
    hooksconfig={},
    runtime_hooks=['numpy_madmom_fix.py'],
    excludes=[],
    noarchive=False,
    optimize=0,
)
pyz = PYZ(a.pure)

exe = EXE(
    pyz,
    a.scripts,
    [],
    exclude_binaries=True,
    name='Beatsmark',
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    console=False,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)
coll = COLLECT(
    exe,
    a.binaries,
    a.datas,
    strip=False,
    upx=True,
    upx_exclude=[],
    name='Beatsmark',
)
app = BUNDLE(
    coll,
    name='Beatsmark.app',
    icon=None,
    bundle_identifier='com.beatsmark.app',
    codesign_identity='Developer ID Application: zhong luo (B3W25FX5H5)',
    entitlements_file='beatsmark.entitlements',
    info_plist={
        'NSHighResolutionCapable': True,
        'NSMicrophoneUsageDescription': 'This app needs access to the microphone for audio analysis.',
        'NSAppleMusicUsageDescription': 'This app needs access to your music library.',
        'LSEnvironment': {
            'QT_DEBUG_PLUGINS': '1',
            'QT_PLUGIN_PATH': '@executable_path/../Frameworks/Contents/Resources/plugins',
            'QT_MULTIMEDIA_PREFERRED_PLUGINS': 'darwinmedia',
            'PATH': '@executable_path:@executable_path/..',
            'FFMPEG_PATH': '@executable_path/ffmpeg',
            'FFPROBE_PATH': '@executable_path/ffprobe'
        }
    }
)
